//
//  CPDFImageView.h
//  PDFViewer
//
//  Created by kdan on 2022/11/16.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface CPDFImageView : UIView

@property (nonatomic,strong) UIButton *selectBtn;
@property (nonatomic,strong) UISlider *imageScaleSlider;
@property (nonatomic,strong) UISlider *opacitySlider;
@property (nonatomic,strong) UISwitch *tileSwitch;
@property (nonatomic,strong) UILabel *rangeLabel;
@property (nonatomic,strong) UILabel *tileLabel;
@property (nonatomic,strong) UILabel *sizeLabel;
@property (nonatomic,strong) UILabel *opacityLabel;
@property (nonatomic,strong) UITextField *verticalField;
@property (nonatomic,strong) UITextField *horizontalField;
@property (nonatomic,strong) UILabel *verticalLabel;
@property (nonatomic,strong) UILabel *horizontalLabel;
@property (nonatomic,strong) UILabel *imageLabel;

- (void)createView;
- (void)createFrame;
- (void)assignData;

@end

NS_ASSUME_NONNULL_END
